classification
Title: Buildbot: don't sent email notification for custom builders
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mariatta, haypo, zach.ware
Priority: normal Keywords:

Created on 2017-06-13 16:16 by haypo, last changed 2017-09-15 16:35 by haypo. This issue is now closed.

Messages (6)
msg295936 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-13 16:16
Sadly, our version of buildbot doesn't support branches. Other options:
http://docs.buildbot.net/latest/manual/cfg-reporters.html#mailnotifier-arguments
msg295971 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-06-14 00:26
This is not a cpython issue, is it?
msg295994 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-14 08:42
> This is not a cpython issue, is it?

I'm talking about CPython buildbots:
http://buildbot.python.org/all/waterfall?category=3.x.stable&category=3.x.unstable

I prefer to use bugs.python.org to discuss CPython issues, but if you consider that it's not the right place, we might use https://github.com/python/buildmaster-config/

But it seems like only Zach and me are watching https://github.com/python/buildmaster-config/ a little known project.
msg296018 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-06-14 17:34
I didn't know about buildmaster-config repo.

It's not listed as one of the projects for the Python Core team :)

https://github.com/orgs/python/teams/python-core/repositories 

Should it be?
msg297138 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-28 01:55
It seems like buildbot.python.org will be upgrade to buildbot 0.9, and so we will be able to filter emails by branches ;-)
msg302268 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-09-15 16:35
Custom builders are rarely used. The work on upgrading our buildbots to 0.9 is in progress but moves slowly (sadly, Zach failed to finish this task at the CPython sprint last week). I close the issue, even if it's not done, just because I didn't get any such email last month.

If email notifications related to custom builders start to annoy me again, I will open an issue in the CPython buildbot configuration project or the CPython workflow project.
History
Date User Action Args
2017-09-15 16:35:21hayposetstatus: open -> closed
resolution: fixed
messages: + msg302268

stage: resolved
2017-06-28 01:55:41hayposetmessages: + msg297138
2017-06-14 17:34:42Mariattasetmessages: + msg296018
2017-06-14 08:42:27hayposetmessages: + msg295994
2017-06-14 00:26:57Mariattasetnosy: + Mariatta
messages: + msg295971
2017-06-13 16:16:03haypocreate